package com.toughra.ustadmobile.databinding;
import com.toughra.ustadmobile.R;
import com.toughra.ustadmobile.BR;
import androidx.annotation.NonNull;
import androidx.annotation.Nullable;
import android.view.View;
@SuppressWarnings("unchecked")
public class ItemReportEditFilterBindingImpl extends ItemReportEditFilterBinding implements com.toughra.ustadmobile.generated.callback.OnClickListener.Listener {

    @Nullable
    private static final androidx.databinding.ViewDataBinding.IncludedLayouts sIncludes;
    @Nullable
    private static final android.util.SparseIntArray sViewsWithIds;
    static {
        sIncludes = null;
        sViewsWithIds = null;
    }
    // views
    // variables
    @Nullable
    private final android.view.View.OnClickListener mCallback74;
    @Nullable
    private final android.view.View.OnClickListener mCallback73;
    // values
    // listeners
    // Inverse Binding Event Handlers

    public ItemReportEditFilterBindingImpl(@Nullable androidx.databinding.DataBindingComponent bindingComponent, @NonNull View root) {
        this(bindingComponent, root, mapBindings(bindingComponent, root, 3, sIncludes, sViewsWithIds));
    }
    private ItemReportEditFilterBindingImpl(androidx.databinding.DataBindingComponent bindingComponent, View root, Object[] bindings) {
        super(bindingComponent, root, 0
            , (android.widget.TextView) bindings[1]
            , (androidx.appcompat.widget.AppCompatImageView) bindings[2]
            , (androidx.constraintlayout.widget.ConstraintLayout) bindings[0]
            );
        this.itemClazzSimpleLine1Text.setTag(null);
        this.itemClazzSimpleSecondaryMenuImageview.setTag(null);
        this.reportEditFilterParent.setTag(null);
        setRootTag(root);
        // listeners
        mCallback74 = new com.toughra.ustadmobile.generated.callback.OnClickListener(this, 2);
        mCallback73 = new com.toughra.ustadmobile.generated.callback.OnClickListener(this, 1);
        invalidateAll();
    }

    @Override
    public void invalidateAll() {
        synchronized(this) {
                mDirtyFlags = 0x8L;
        }
        requestRebind();
    }

    @Override
    public boolean hasPendingBindings() {
        synchronized(this) {
            if (mDirtyFlags != 0) {
                return true;
            }
        }
        return false;
    }

    @Override
    public boolean setVariable(int variableId, @Nullable Object variable)  {
        boolean variableSet = true;
        if (BR.filter == variableId) {
            setFilter((com.ustadmobile.lib.db.entities.ReportFilter) variable);
        }
        else if (BR.eventHandler == variableId) {
            setEventHandler((com.ustadmobile.port.android.view.ReportEditFragmentEventHandler) variable);
        }
        else if (BR.mPresenter == variableId) {
            setMPresenter((com.ustadmobile.core.controller.ReportEditPresenter) variable);
        }
        else {
            variableSet = false;
        }
            return variableSet;
    }

    public void setFilter(@Nullable com.ustadmobile.lib.db.entities.ReportFilter Filter) {
        this.mFilter = Filter;
        synchronized(this) {
            mDirtyFlags |= 0x1L;
        }
        notifyPropertyChanged(BR.filter);
        super.requestRebind();
    }
    public void setEventHandler(@Nullable com.ustadmobile.port.android.view.ReportEditFragmentEventHandler EventHandler) {
        this.mEventHandler = EventHandler;
        synchronized(this) {
            mDirtyFlags |= 0x2L;
        }
        notifyPropertyChanged(BR.eventHandler);
        super.requestRebind();
    }
    public void setMPresenter(@Nullable com.ustadmobile.core.controller.ReportEditPresenter MPresenter) {
        this.mMPresenter = MPresenter;
    }

    @Override
    protected boolean onFieldChange(int localFieldId, Object object, int fieldId) {
        switch (localFieldId) {
        }
        return false;
    }

    @Override
    protected void executeBindings() {
        long dirtyFlags = 0;
        synchronized(this) {
            dirtyFlags = mDirtyFlags;
            mDirtyFlags = 0;
        }
        java.lang.String reportFilterExtKtToDisplayStringFilterViewExtKtGetSystemImplReportEditFilterParentContext = null;
        com.ustadmobile.lib.db.entities.ReportFilter filter = mFilter;
        com.ustadmobile.port.android.view.ReportEditFragmentEventHandler eventHandler = mEventHandler;

        if ((dirtyFlags & 0x9L) != 0) {



                // read ReportFilterExtKt.toDisplayString(filter, ViewExtKt.getSystemImpl(reportEditFilterParent), context)
                reportFilterExtKtToDisplayStringFilterViewExtKtGetSystemImplReportEditFilterParentContext = com.ustadmobile.core.util.ext.ReportFilterExtKt.toDisplayString(filter, com.ustadmobile.core.util.ext.ViewExtKt.getSystemImpl(reportEditFilterParent), getRoot().getContext());
        }
        // batch finished
        if ((dirtyFlags & 0x9L) != 0) {
            // api target 1

            androidx.databinding.adapters.TextViewBindingAdapter.setText(this.itemClazzSimpleLine1Text, reportFilterExtKtToDisplayStringFilterViewExtKtGetSystemImplReportEditFilterParentContext);
        }
        if ((dirtyFlags & 0x8L) != 0) {
            // api target 1

            this.itemClazzSimpleLine1Text.setOnClickListener(mCallback73);
            this.itemClazzSimpleSecondaryMenuImageview.setOnClickListener(mCallback74);
        }
    }
    // Listener Stub Implementations
    // callback impls
    public final void _internalCallbackOnClick(int sourceId , android.view.View callbackArg_0) {
        switch(sourceId) {
            case 2: {
                // localize variables for thread safety
                // filter
                com.ustadmobile.lib.db.entities.ReportFilter filter = mFilter;
                // eventHandler
                com.ustadmobile.port.android.view.ReportEditFragmentEventHandler eventHandler = mEventHandler;
                // eventHandler != null
                boolean eventHandlerJavaLangObjectNull = false;



                eventHandlerJavaLangObjectNull = (eventHandler) != (null);
                if (eventHandlerJavaLangObjectNull) {



                    eventHandler.onClickRemoveFilter(filter);
                }
                break;
            }
            case 1: {
                // localize variables for thread safety
                // filter
                com.ustadmobile.lib.db.entities.ReportFilter filter = mFilter;
                // eventHandler
                com.ustadmobile.port.android.view.ReportEditFragmentEventHandler eventHandler = mEventHandler;
                // eventHandler != null
                boolean eventHandlerJavaLangObjectNull = false;



                eventHandlerJavaLangObjectNull = (eventHandler) != (null);
                if (eventHandlerJavaLangObjectNull) {



                    eventHandler.onClickEditFilter(filter);
                }
                break;
            }
        }
    }
    // dirty flag
    private  long mDirtyFlags = 0xffffffffffffffffL;
    /* flag mapping
        flag 0 (0x1L): filter
        flag 1 (0x2L): eventHandler
        flag 2 (0x3L): mPresenter
        flag 3 (0x4L): null
    flag mapping end*/
    //end
}